org.apache.cassandra.io.sstable.format

## Class SSTableReader.Operator

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.SSTableReader.Operator

- Enclosing class:
    SSTableReader

      public abstract static class SSTableReader.Operator
      extends java.lang.Object

  TODO: Move someplace reusable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SSTableReader.Operator` | `EQ`
    `static SSTableReader.Operator` | `GE`
    `static SSTableReader.Operator` | `GT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `apply(int comparison)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EQ

          public static final SSTableReader.Operator EQ

    - #### GE

          public static final SSTableReader.Operator GE

    - #### GT

          public static final SSTableReader.Operator GT

  - ### Constructor Detail

    - #### Operator

          public Operator()

  - ### Method Detail

    - #### apply

          public abstract int apply(int comparison)

      Parameters:
        `comparison` - The result of a call to compare/compareTo, with the desired field on the rhs.
      Returns:
        less than 0 if the operator cannot match forward, 0 if it matches, greater than 0 if it might match forward.

Copyright © 2018 The Apache Software Foundation